---
title: PerformanceResourceTiming.toJSON()
slug: Web/API/PerformanceResourceTiming/toJSON
tags:
  - API
  - Method
  - Reference
  - Web Performance
---
<div>{{APIRef("Resource Timing API")}}</div>

<p>The <strong><code>toJSON()</code></strong> method is a <em>serializer</em> that returns a JSON representation of the {{domxref("PerformanceResourceTiming")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">json = resourcePerfEntry.toJSON();
</pre>

<h3 id="Arguments">Arguments</h3>

<p>None</p>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>json</dt>
 <dd>A JSON object that is the serialization of the {{domxref("PerformanceResourceTiming")}} object as a map with entries from the closest inherited interface and with entries for each of the serializable attributes.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">// Get a resource performance entry
var perfEntries = performance.getEntriesByType("resource");
var entry = perfEntries[0];

// Get the JSON and log it
var json = entry.toJSON();
var s = JSON.stringify(json);
console.log("PerformanceEntry.toJSON = " + s);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Resource Timing 2', '#dom-performanceresourcetiming-tojson', 'toJSON')}}</td>
   <td>{{Spec2('Resource Timing 2')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceResourceTiming.toJSON")}}</p>
